
public class Class182_Sub1_Sub2 extends Class182_Sub1 {

   Class564 aClass564_10370 = new Class564(64);
   Class253 aClass253_10371;


   public Class169 method14412(int var1) {
      Class564 var2 = this.aClass564_10370;
      synchronized(var2) {
         Class169_Sub2 var3 = (Class169_Sub2)this.aClass564_10370.method11959((long)var1);
         if(var3 == null) {
            byte[] var4 = this.aClass253_10371.method4547(this.aClass251_8995.method4478((byte)65).anInt1177 * 2022937823, var1, (byte)36);
            var3 = new Class169_Sub2(this.aClass251_8995, var1);
            if(null != var4) {
               var3.method2889(new RS2Buffer(var4), (short)128);
            }

            this.aClass564_10370.method11958(var3, (long)var1);
         }

         return var3;
      }
   }

   public void method15954(int var1) {
      Class564 var2 = this.aClass564_10370;
      synchronized(var2) {
         this.aClass564_10370.method11963(var1, (byte)-25);
      }
   }

   public Class169 method14423(int var1, int var2) {
      Class564 var3 = this.aClass564_10370;
      synchronized(var3) {
         Class169_Sub2 var4 = (Class169_Sub2)this.aClass564_10370.method11959((long)var1);
         if(var4 == null) {
            byte[] var5 = this.aClass253_10371.method4547(this.aClass251_8995.method4478((byte)41).anInt1177 * 2022937823, var1, (byte)1);
            var4 = new Class169_Sub2(this.aClass251_8995, var1);
            if(null != var5) {
               var4.method2889(new RS2Buffer(var5), (short)128);
            }

            this.aClass564_10370.method11958(var4, (long)var1);
         }

         return var4;
      }
   }

   public void method15955(int var1, int var2) {
      Class564 var3 = this.aClass564_10370;
      synchronized(var3) {
         this.aClass564_10370.method11963(var1, (byte)-35);
      }
   }

   public void method15956(int var1) {
      Class564 var2 = this.aClass564_10370;
      synchronized(var2) {
         this.aClass564_10370.method11968((short)-26327);
      }
   }

   public void method15957(byte var1) {
      Class564 var2 = this.aClass564_10370;
      synchronized(var2) {
         this.aClass564_10370.method11976((byte)96);
      }
   }

   public void method15958() {
      Class564 var1 = this.aClass564_10370;
      synchronized(var1) {
         this.aClass564_10370.method11976((byte)123);
      }
   }

   public Class182_Sub1_Sub2(Class481 var1, Class251 var2, Class470 var3, Class253 var4) {
      super(var1, var2, var3, var4 != null?var4.method4514(var2.method4478((byte)57).anInt1177 * 2022937823, 1335854353):0);
      this.aClass253_10371 = var4;
   }

   public void method15959(int var1) {
      Class564 var2 = this.aClass564_10370;
      synchronized(var2) {
         this.aClass564_10370.method11963(var1, (byte)-14);
      }
   }

   public void method15960() {
      Class564 var1 = this.aClass564_10370;
      synchronized(var1) {
         this.aClass564_10370.method11968((short)-29333);
      }
   }
}
